/*Copyright (c) 2013, by http://dzawowo.blogspot.com/
*Simple register app build with javafx and fxml technology.
*provide by mvc pattern
*/
package fxmlexamplemvc;

import java.io.IOException;
import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.stage.Window;

public class FXMLExampleMVC extends Application{
    
    protected Parent root,root2;
    protected Scene scene;
    protected Stage primaryStage;
    public static FXMLExampleMVC instance;
    
    public FXMLExampleMVC(){
        instance = this;
    }
    public static FXMLExampleMVC getInstance(){
        return instance;
        
    }
    @Override
    public void start(Stage stage) throws Exception {
        primaryStage = stage;
        changeStage("Sample.fxml");
    }
    
    protected void changeStage(String fxmlAdress) throws IOException{
        root = FXMLLoader.load(getClass().getResource(fxmlAdress));
        scene = new Scene(root);
        primaryStage.setScene(scene);
        
        primaryStage.setTitle("JavaFX Welcome!");
        scene.getStylesheets().add(FXMLExampleMVC.class.getResource("cssforapp.css").toExternalForm());

        primaryStage.show();        
    }
    
    public static void main(String[] args) {
      launch(args);  
    }
}
